Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515890 - rpm reports on chroot install "error: Failed to initialize NSS library"
Summary: rpm reports on chroot install "error: Failed to initialize NSS library"
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nss-softokn
Version: 7.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Daiki Ueno
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On: 1477308
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-21 14:49 UTC by Patrik Kis
Modified: 2017-11-30 14:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-30 14:23:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1477308 None CLOSED Installing new nss-softokn-freebl without updating nspr on a RHEL 7.3.0 system results in rpm and yum being non-function... 2018-12-13 21:02:54 UTC

Internal Links: 1477308

Description Patrik Kis 2017-11-21 14:49:35 UTC
Description of problem:
Seem like there is still this problem reported in bug 1477308, but I'm not entirely sure this is the right component. Feel free to move it forward is needed.
The scenario below worked in RHEL-7.4.

Version-Release number of selected component (if applicable):
rpm-4.11.3-31.el7.x86_64
nss-3.34.0-0.1.beta1.el7.x86_64
nss-tools-3.34.0-0.1.beta1.el7.x86_64
nss-util-3.34.0-0.1.beta1.el7.x86_64
nss-softokn-3.34.0-0.2.beta1.el7.x86_64
nss-softokn-freebl-3.34.0-0.2.beta1.el7.x86_64
nss-pem-1.0.3-4.el7.x86_64
nspr-4.17.0-1.el7.x86_64
nss-sysinit-3.34.0-0.1.beta1.el7.x86_64

How reproducible:
always

Steps to Reproduce:

# yum -y --nogpgcheck --installroot /tmp/newroot/ install krb5-libs rpm elfutils-libelf
Loaded plugins: product-id, search-disabled-repos, subscription-manager
This system is not registered with an entitlement server. You can use subscription-manager to register.
beaker-client                                                                                 | 1.5 kB  00:00:00     
beaker-harness                                                                                | 1.5 kB  00:00:00     
qa-tools                                                                                      | 2.5 kB  00:00:00     
qa-tools-testing                                                                              | 2.5 kB  00:00:00     
rhel                                                                                          | 3.8 kB  00:00:00     
rhel-HighAvailability                                                                         | 4.1 kB  00:00:00     
rhel-RT                                                                                       | 4.1 kB  00:00:00     
rhel-RT-debuginfo                                                                             | 3.0 kB  00:00:00     
rhel-ResilientStorage                                                                         | 4.1 kB  00:00:00     
rhel-SAP                                                                                      | 4.1 kB  00:00:00     
rhel-SAP-debuginfo                                                                            | 3.0 kB  00:00:00     
rhel-SAPHANA                                                                                  | 4.1 kB  00:00:00     
rhel-SAPHANA-debuginfo                                                                        | 3.0 kB  00:00:00     
rhel-opt                                                                                      | 3.8 kB  00:00:00     
(1/21): rhel/group_gz                                                                         | 138 kB  00:00:00     
(2/21): beaker-client/primary                                                                 |  17 kB  00:00:00     
(3/21): rhel-HighAvailability/group_gz                                                        | 3.4 kB  00:00:00     
(4/21): rhel-HighAvailability/primary_db                                                      |  26 kB  00:00:00     
(5/21): rhel-RT/group_gz                                                                      |  517 B  00:00:00     
(6/21): beaker-harness/primary                                                                |  52 kB  00:00:00     
(7/21): rhel-RT/primary_db                                                                    |  12 kB  00:00:00     
(8/21): rhel/primary_db                                                                       | 4.8 MB  00:00:00     
(9/21): rhel-ResilientStorage/group_gz                                                        | 4.9 kB  00:00:00     
(10/21): rhel-SAP/group_gz                                                                    | 1.4 kB  00:00:00     
(11/21): rhel-ResilientStorage/primary_db                                                     |  32 kB  00:00:00     
(12/21): rhel-SAP/primary_db                                                                  | 7.7 kB  00:00:00     
(13/21): rhel-SAP-debuginfo/primary_db                                                        | 3.4 kB  00:00:00     
(14/21): rhel-SAPHANA/group_gz                                                                |  604 B  00:00:00     
(15/21): rhel-RT-debuginfo/primary_db                                                         | 4.0 kB  00:00:00     
(16/21): rhel-SAPHANA-debuginfo/primary_db                                                    | 2.6 kB  00:00:00     
(17/21): rhel-SAPHANA/primary_db                                                              | 3.9 kB  00:00:00     
(18/21): rhel-opt/group_gz                                                                    | 6.2 kB  00:00:00     
(19/21): rhel-opt/primary_db                                                                  | 1.9 MB  00:00:00     
(20/21): qa-tools-testing/primary_db                                                          |  44 kB  00:00:00     
(21/21): qa-tools/primary_db                                                                  |  69 kB  00:00:00     
beaker-client                                                                                                130/130
beaker-harness                                                                                               431/431
Resolving Dependencies
--> Running transaction check
---> Package elfutils-libelf.x86_64 0:0.170-2.el7 will be installed
--> Processing Dependency: /sbin/ldconfig for package: elfutils-libelf-0.170-2.el7.x86_64
--> Processing Dependency: /sbin/ldconfig for package: elfutils-libelf-0.170-2.el7.x86_64
--> Processing Dependency: ld-linux-x86-64.so.2()(64bit) for package: elfutils-libelf-0.170-2.el7.x86_64
--> Processing Dependency: ld-linux-x86-64.so.2(GLIBC_2.3)(64bit) for package: elfutils-libelf-0.170-2.el7.x86_64
--> Processing Dependency: rtld(GNU_HASH) for package: elfutils-libelf-0.170-2.el7.x86_64
--> Processing Dependency: libc.so.6(GLIBC_2.14)(64bit) for package: elfutils-libelf-0.170-2.el7.x86_64
--> Processing Dependency: libz.so.1()(64bit) for package: elfutils-libelf-0.170-2.el7.x86_64
---> Package krb5-libs.x86_64 0:1.15.1-17.el7 will be installed
--> Processing Dependency: keyutils-libs >= 1.5.8 for package: krb5-libs-1.15.1-17.el7.x86_64
--> Processing Dependency: /bin/sh for package: krb5-libs-1.15.1-17.el7.x86_64
--> Processing Dependency: coreutils for package: krb5-libs-1.15.1-17.el7.x86_64
--> Processing Dependency: gawk for package: krb5-libs-1.15.1-17.el7.x86_64
--> Processing Dependency: grep for package: krb5-libs-1.15.1-17.el7.x86_64
--> Processing Dependency: libcrypto.so.10(libcrypto.so.10)(64bit) for package: krb5-libs-1.15.1-17.el7.x86_64
--> Processing Dependency: libkeyutils.so.1(KEYUTILS_0.3)(64bit) for package: krb5-libs-1.15.1-17.el7.x86_64
--> Processing Dependency: libkeyutils.so.1(KEYUTILS_1.0)(64bit) for package: krb5-libs-1.15.1-17.el7.x86_64
--> Processing Dependency: libkeyutils.so.1(KEYUTILS_1.5)(64bit) for package: krb5-libs-1.15.1-17.el7.x86_64
--> Processing Dependency: libssl.so.10(libssl.so.10)(64bit) for package: krb5-libs-1.15.1-17.el7.x86_64
--> Processing Dependency: sed for package: krb5-libs-1.15.1-17.el7.x86_64
--> Processing Dependency: libcom_err.so.2()(64bit) for package: krb5-libs-1.15.1-17.el7.x86_64
--> Processing Dependency: libcrypto.so.10()(64bit) for package: krb5-libs-1.15.1-17.el7.x86_64
--> Processing Dependency: libkeyutils.so.1()(64bit) for package: krb5-libs-1.15.1-17.el7.x86_64
--> Processing Dependency: libselinux.so.1()(64bit) for package: krb5-libs-1.15.1-17.el7.x86_64
--> Processing Dependency: libssl.so.10()(64bit) for package: krb5-libs-1.15.1-17.el7.x86_64
--> Processing Dependency: libverto.so.1()(64bit) for package: krb5-libs-1.15.1-17.el7.x86_64
---> Package rpm.x86_64 0:4.11.3-31.el7 will be installed
--> Processing Dependency: popt(x86-64) >= 1.10.2.1 for package: rpm-4.11.3-31.el7.x86_64
--> Processing Dependency: /usr/bin/db_stat for package: rpm-4.11.3-31.el7.x86_64
--> Processing Dependency: curl for package: rpm-4.11.3-31.el7.x86_64
--> Processing Dependency: libpopt.so.0(LIBPOPT_0)(64bit) for package: rpm-4.11.3-31.el7.x86_64
--> Processing Dependency: libacl.so.1()(64bit) for package: rpm-4.11.3-31.el7.x86_64
--> Processing Dependency: libbz2.so.1()(64bit) for package: rpm-4.11.3-31.el7.x86_64
--> Processing Dependency: libcap.so.2()(64bit) for package: rpm-4.11.3-31.el7.x86_64
--> Processing Dependency: libdb-5.3.so()(64bit) for package: rpm-4.11.3-31.el7.x86_64
--> Processing Dependency: liblua-5.1.so()(64bit) for package: rpm-4.11.3-31.el7.x86_64
--> Processing Dependency: liblzma.so.5()(64bit) for package: rpm-4.11.3-31.el7.x86_64
--> Processing Dependency: libnss3.so()(64bit) for package: rpm-4.11.3-31.el7.x86_64
--> Processing Dependency: libpopt.so.0()(64bit) for package: rpm-4.11.3-31.el7.x86_64
--> Processing Dependency: librpm.so.3()(64bit) for package: rpm-4.11.3-31.el7.x86_64
--> Processing Dependency: librpmio.so.3()(64bit) for package: rpm-4.11.3-31.el7.x86_64
--> Running transaction check
---> Package bash.x86_64 0:4.2.46-30.el7 will be installed
--> Processing Dependency: libtinfo.so.5()(64bit) for package: bash-4.2.46-30.el7.x86_64
---> Package bzip2-libs.x86_64 0:1.0.6-13.el7 will be installed
---> Package coreutils.x86_64 0:8.22-19.el7 will be installed
--> Processing Dependency: /sbin/install-info for package: coreutils-8.22-19.el7.x86_64
--> Processing Dependency: /sbin/install-info for package: coreutils-8.22-19.el7.x86_64
--> Processing Dependency: gmp for package: coreutils-8.22-19.el7.x86_64
--> Processing Dependency: libattr.so.1(ATTR_1.1)(64bit) for package: coreutils-8.22-19.el7.x86_64
--> Processing Dependency: ncurses for package: coreutils-8.22-19.el7.x86_64
--> Processing Dependency: libattr.so.1()(64bit) for package: coreutils-8.22-19.el7.x86_64
--> Processing Dependency: libgmp.so.10()(64bit) for package: coreutils-8.22-19.el7.x86_64
---> Package curl.x86_64 0:7.29.0-45.el7 will be installed
--> Processing Dependency: libcurl = 7.29.0-45.el7 for package: curl-7.29.0-45.el7.x86_64
--> Processing Dependency: libcurl.so.4()(64bit) for package: curl-7.29.0-45.el7.x86_64
--> Processing Dependency: libnspr4.so()(64bit) for package: curl-7.29.0-45.el7.x86_64
--> Processing Dependency: libnssutil3.so()(64bit) for package: curl-7.29.0-45.el7.x86_64
--> Processing Dependency: libplc4.so()(64bit) for package: curl-7.29.0-45.el7.x86_64
--> Processing Dependency: libplds4.so()(64bit) for package: curl-7.29.0-45.el7.x86_64
---> Package gawk.x86_64 0:4.0.2-4.el7_3.1 will be installed
---> Package glibc.x86_64 0:2.17-217.el7 will be installed
--> Processing Dependency: glibc-common = 2.17-217.el7 for package: glibc-2.17-217.el7.x86_64
--> Processing Dependency: basesystem for package: glibc-2.17-217.el7.x86_64
--> Processing Dependency: libfreebl3.so(NSSRAWHASH_3.12.3)(64bit) for package: glibc-2.17-217.el7.x86_64
--> Processing Dependency: libgcc for package: glibc-2.17-217.el7.x86_64
--> Processing Dependency: libfreebl3.so()(64bit) for package: glibc-2.17-217.el7.x86_64
---> Package grep.x86_64 0:2.20-3.el7 will be installed
--> Processing Dependency: libpcre.so.1()(64bit) for package: grep-2.20-3.el7.x86_64
---> Package keyutils-libs.x86_64 0:1.5.8-3.el7 will be installed
---> Package libacl.x86_64 0:2.2.51-14.el7 will be installed
---> Package libcap.x86_64 0:2.22-9.el7 will be installed
---> Package libcom_err.x86_64 0:1.42.9-10.el7 will be installed
---> Package libdb.x86_64 0:5.3.21-22.el7 will be installed
---> Package libdb-utils.x86_64 0:5.3.21-22.el7 will be installed
---> Package libselinux.x86_64 0:2.5-12.el7 will be installed
--> Processing Dependency: libsepol(x86-64) >= 2.5-6 for package: libselinux-2.5-12.el7.x86_64
--> Processing Dependency: libsepol.so.1(LIBSEPOL_1.0)(64bit) for package: libselinux-2.5-12.el7.x86_64
--> Processing Dependency: libsepol.so.1()(64bit) for package: libselinux-2.5-12.el7.x86_64
---> Package libverto.x86_64 0:0.2.5-4.el7 will be installed
---> Package lua.x86_64 0:5.1.4-15.el7 will be installed
--> Processing Dependency: libreadline.so.6()(64bit) for package: lua-5.1.4-15.el7.x86_64
---> Package nss.x86_64 0:3.34.0-0.1.beta1.el7 will be installed
--> Processing Dependency: nss-softokn(x86-64) >= 3.34.0-0.1.beta1 for package: nss-3.34.0-0.1.beta1.el7.x86_64
--> Processing Dependency: /usr/sbin/update-alternatives for package: nss-3.34.0-0.1.beta1.el7.x86_64
--> Processing Dependency: /usr/sbin/update-alternatives for package: nss-3.34.0-0.1.beta1.el7.x86_64
--> Processing Dependency: nss-pem(x86-64) for package: nss-3.34.0-0.1.beta1.el7.x86_64
--> Processing Dependency: nss-system-init for package: nss-3.34.0-0.1.beta1.el7.x86_64
---> Package openssl-libs.x86_64 1:1.0.2k-8.el7 will be installed
--> Processing Dependency: ca-certificates >= 2008-5 for package: 1:openssl-libs-1.0.2k-8.el7.x86_64
---> Package popt.x86_64 0:1.13-16.el7 will be installed
---> Package rpm-libs.x86_64 0:4.11.3-31.el7 will be installed
---> Package sed.x86_64 0:4.2.2-5.el7 will be installed
---> Package xz-libs.x86_64 0:5.2.2-1.el7 will be installed
---> Package zlib.x86_64 0:1.2.7-17.el7 will be installed
--> Running transaction check
---> Package basesystem.noarch 0:10.0-7.el7 will be installed
--> Processing Dependency: setup for package: basesystem-10.0-7.el7.noarch
--> Processing Dependency: filesystem for package: basesystem-10.0-7.el7.noarch
---> Package ca-certificates.noarch 0:2017.2.18-71.el7 will be installed
--> Processing Dependency: p11-kit >= 0.23.5 for package: ca-certificates-2017.2.18-71.el7.noarch
--> Processing Dependency: p11-kit-trust >= 0.23.5 for package: ca-certificates-2017.2.18-71.el7.noarch
---> Package chkconfig.x86_64 0:1.7.4-1.el7 will be installed
---> Package glibc-common.x86_64 0:2.17-217.el7 will be installed
--> Processing Dependency: tzdata >= 2003a for package: glibc-common-2.17-217.el7.x86_64
---> Package gmp.x86_64 1:6.0.0-15.el7 will be installed
--> Processing Dependency: libstdc++.so.6(CXXABI_1.3)(64bit) for package: 1:gmp-6.0.0-15.el7.x86_64
--> Processing Dependency: libstdc++.so.6(GLIBCXX_3.4)(64bit) for package: 1:gmp-6.0.0-15.el7.x86_64
--> Processing Dependency: libstdc++.so.6(GLIBCXX_3.4.11)(64bit) for package: 1:gmp-6.0.0-15.el7.x86_64
--> Processing Dependency: libstdc++.so.6()(64bit) for package: 1:gmp-6.0.0-15.el7.x86_64
---> Package info.x86_64 0:5.1-5.el7 will be installed
---> Package libattr.x86_64 0:2.4.46-13.el7 will be installed
---> Package libcurl.x86_64 0:7.29.0-45.el7 will be installed
--> Processing Dependency: libssh2(x86-64) >= 1.4.3 for package: libcurl-7.29.0-45.el7.x86_64
--> Processing Dependency: libidn.so.11(LIBIDN_1.0)(64bit) for package: libcurl-7.29.0-45.el7.x86_64
--> Processing Dependency: libidn.so.11()(64bit) for package: libcurl-7.29.0-45.el7.x86_64
--> Processing Dependency: liblber-2.4.so.2()(64bit) for package: libcurl-7.29.0-45.el7.x86_64
--> Processing Dependency: libldap-2.4.so.2()(64bit) for package: libcurl-7.29.0-45.el7.x86_64
--> Processing Dependency: libssh2.so.1()(64bit) for package: libcurl-7.29.0-45.el7.x86_64
---> Package libgcc.x86_64 0:4.8.5-22.el7 will be installed
---> Package libsepol.x86_64 0:2.5-8.el7 will be installed
---> Package ncurses.x86_64 0:5.9-14.20130511.el7_4 will be installed
---> Package ncurses-libs.x86_64 0:5.9-14.20130511.el7_4 will be installed
--> Processing Dependency: ncurses-base = 5.9-14.20130511.el7_4 for package: ncurses-libs-5.9-14.20130511.el7_4.x86_64
---> Package nspr.x86_64 0:4.17.0-1.el7 will be installed
---> Package nss-pem.x86_64 0:1.0.3-4.el7 will be installed
---> Package nss-softokn.x86_64 0:3.34.0-0.2.beta1.el7 will be installed
--> Processing Dependency: libsqlite3.so.0()(64bit) for package: nss-softokn-3.34.0-0.2.beta1.el7.x86_64
---> Package nss-softokn-freebl.x86_64 0:3.34.0-0.2.beta1.el7 will be installed
---> Package nss-sysinit.x86_64 0:3.34.0-0.1.beta1.el7 will be installed
---> Package nss-util.x86_64 0:3.34.0-0.1.beta1.el7 will be installed
---> Package pcre.x86_64 0:8.32-17.el7 will be installed
---> Package readline.x86_64 0:6.2-10.el7 will be installed
--> Running transaction check
---> Package filesystem.x86_64 0:3.2-23.el7 will be installed
---> Package libidn.x86_64 0:1.28-4.el7 will be installed
---> Package libssh2.x86_64 0:1.4.3-10.el7_2.1 will be installed
---> Package libstdc++.x86_64 0:4.8.5-22.el7 will be installed
---> Package ncurses-base.noarch 0:5.9-14.20130511.el7_4 will be installed
---> Package openldap.x86_64 0:2.4.44-9.el7 will be installed
--> Processing Dependency: findutils for package: openldap-2.4.44-9.el7.x86_64
--> Processing Dependency: nss-tools for package: openldap-2.4.44-9.el7.x86_64
--> Processing Dependency: libsasl2.so.3()(64bit) for package: openldap-2.4.44-9.el7.x86_64
---> Package p11-kit.x86_64 0:0.23.5-3.el7 will be installed
--> Processing Dependency: libffi.so.6()(64bit) for package: p11-kit-0.23.5-3.el7.x86_64
---> Package p11-kit-trust.x86_64 0:0.23.5-3.el7 will be installed
--> Processing Dependency: libtasn1.so.6(LIBTASN1_0_3)(64bit) for package: p11-kit-trust-0.23.5-3.el7.x86_64
--> Processing Dependency: libtasn1.so.6()(64bit) for package: p11-kit-trust-0.23.5-3.el7.x86_64
---> Package setup.noarch 0:2.8.71-7.el7 will be installed
--> Processing Dependency: system-release for package: setup-2.8.71-7.el7.noarch
---> Package sqlite.x86_64 0:3.7.17-8.el7 will be installed
---> Package tzdata.noarch 0:2017c-1.el7 will be installed
--> Running transaction check
---> Package cyrus-sasl-lib.x86_64 0:2.1.26-22.el7 will be installed
---> Package findutils.x86_64 1:4.5.11-5.el7 will be installed
---> Package libffi.x86_64 0:3.0.13-18.el7 will be installed
---> Package libtasn1.x86_64 0:4.10-1.el7 will be installed
---> Package nss-tools.x86_64 0:3.34.0-0.1.beta1.el7 will be installed
---> Package redhat-release.x86_64 0:7.5-0.12.el7a will be installed
--> Processing Dependency: system-release-product = 7.5-0.12.el7a for package: redhat-release-7.5-0.12.el7a.x86_64
--> Running transaction check
---> Package redhat-release-client.x86_64 0:7.5-0.12.el7a will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=====================================================================================================================
 Package                            Arch                Version                              Repository         Size
=====================================================================================================================
Installing:
 elfutils-libelf                    x86_64              0.170-2.el7                          rhel              194 k
 krb5-libs                          x86_64              1.15.1-17.el7                        rhel              748 k
 rpm                                x86_64              4.11.3-31.el7                        rhel              1.2 M
Installing for dependencies:
 basesystem                         noarch              10.0-7.el7                           rhel              4.9 k
 bash                               x86_64              4.2.46-30.el7                        rhel              1.0 M
 bzip2-libs                         x86_64              1.0.6-13.el7                         rhel               40 k
 ca-certificates                    noarch              2017.2.18-71.el7                     rhel              431 k
 chkconfig                          x86_64              1.7.4-1.el7                          rhel              181 k
 coreutils                          x86_64              8.22-19.el7                          rhel              3.3 M
 curl                               x86_64              7.29.0-45.el7                        rhel              268 k
 cyrus-sasl-lib                     x86_64              2.1.26-22.el7                        rhel              155 k
 filesystem                         x86_64              3.2-23.el7                           rhel              1.0 M
 findutils                          x86_64              1:4.5.11-5.el7                       rhel              559 k
 gawk                               x86_64              4.0.2-4.el7_3.1                      rhel              874 k
 glibc                              x86_64              2.17-217.el7                         rhel              3.6 M
 glibc-common                       x86_64              2.17-217.el7                         rhel               11 M
 gmp                                x86_64              1:6.0.0-15.el7                       rhel              281 k
 grep                               x86_64              2.20-3.el7                           rhel              344 k
 info                               x86_64              5.1-5.el7                            rhel              233 k
 keyutils-libs                      x86_64              1.5.8-3.el7                          rhel               25 k
 libacl                             x86_64              2.2.51-14.el7                        rhel               27 k
 libattr                            x86_64              2.4.46-13.el7                        rhel               18 k
 libcap                             x86_64              2.22-9.el7                           rhel               47 k
 libcom_err                         x86_64              1.42.9-10.el7                        rhel               41 k
 libcurl                            x86_64              7.29.0-45.el7                        rhel              220 k
 libdb                              x86_64              5.3.21-22.el7                        rhel              719 k
 libdb-utils                        x86_64              5.3.21-22.el7                        rhel              132 k
 libffi                             x86_64              3.0.13-18.el7                        rhel               30 k
 libgcc                             x86_64              4.8.5-22.el7                         rhel               99 k
 libidn                             x86_64              1.28-4.el7                           rhel              209 k
 libselinux                         x86_64              2.5-12.el7                           rhel              162 k
 libsepol                           x86_64              2.5-8.el7                            rhel              297 k
 libssh2                            x86_64              1.4.3-10.el7_2.1                     rhel              134 k
 libstdc++                          x86_64              4.8.5-22.el7                         rhel              302 k
 libtasn1                           x86_64              4.10-1.el7                           rhel              320 k
 libverto                           x86_64              0.2.5-4.el7                          rhel               16 k
 lua                                x86_64              5.1.4-15.el7                         rhel              201 k
 ncurses                            x86_64              5.9-14.20130511.el7_4                rhel              304 k
 ncurses-base                       noarch              5.9-14.20130511.el7_4                rhel               68 k
 ncurses-libs                       x86_64              5.9-14.20130511.el7_4                rhel              316 k
 nspr                               x86_64              4.17.0-1.el7                         rhel              126 k
 nss                                x86_64              3.34.0-0.1.beta1.el7                 rhel              840 k
 nss-pem                            x86_64              1.0.3-4.el7                          rhel               73 k
 nss-softokn                        x86_64              3.34.0-0.2.beta1.el7                 rhel              311 k
 nss-softokn-freebl                 x86_64              3.34.0-0.2.beta1.el7                 rhel              219 k
 nss-sysinit                        x86_64              3.34.0-0.1.beta1.el7                 rhel               61 k
 nss-tools                          x86_64              3.34.0-0.1.beta1.el7                 rhel              513 k
 nss-util                           x86_64              3.34.0-0.1.beta1.el7                 rhel               78 k
 openldap                           x86_64              2.4.44-9.el7                         rhel              353 k
 openssl-libs                       x86_64              1:1.0.2k-8.el7                       rhel              1.2 M
 p11-kit                            x86_64              0.23.5-3.el7                         rhel              252 k
 p11-kit-trust                      x86_64              0.23.5-3.el7                         rhel              129 k
 pcre                               x86_64              8.32-17.el7                          rhel              422 k
 popt                               x86_64              1.13-16.el7                          rhel               42 k
 readline                           x86_64              6.2-10.el7                           rhel              193 k
 redhat-release                     x86_64              7.5-0.12.el7a                        rhel               26 k
 redhat-release-client              x86_64              7.5-0.12.el7a                        rhel               16 k
 rpm-libs                           x86_64              4.11.3-31.el7                        rhel              276 k
 sed                                x86_64              4.2.2-5.el7                          rhel              231 k
 setup                              noarch              2.8.71-7.el7                         rhel              165 k
 sqlite                             x86_64              3.7.17-8.el7                         rhel              394 k
 tzdata                             noarch              2017c-1.el7                          rhel              468 k
 xz-libs                            x86_64              5.2.2-1.el7                          rhel              103 k
 zlib                               x86_64              1.2.7-17.el7                         rhel               90 k

Transaction Summary
=====================================================================================================================
Install  3 Packages (+61 Dependent packages)

Total download size: 36 M
Installed size: 188 M
Downloading packages:
(1/64): basesystem-10.0-7.el7.noarch.rpm                                                      | 4.9 kB  00:00:00     
(2/64): bzip2-libs-1.0.6-13.el7.x86_64.rpm                                                    |  40 kB  00:00:00     
(3/64): bash-4.2.46-30.el7.x86_64.rpm                                                         | 1.0 MB  00:00:00     
(4/64): ca-certificates-2017.2.18-71.el7.noarch.rpm                                           | 431 kB  00:00:00     
(5/64): coreutils-8.22-19.el7.x86_64.rpm                                                      | 3.3 MB  00:00:00     
(6/64): curl-7.29.0-45.el7.x86_64.rpm                                                         | 268 kB  00:00:00     
(7/64): cyrus-sasl-lib-2.1.26-22.el7.x86_64.rpm                                               | 155 kB  00:00:00     
(8/64): elfutils-libelf-0.170-2.el7.x86_64.rpm                                                | 194 kB  00:00:00     
(9/64): filesystem-3.2-23.el7.x86_64.rpm                                                      | 1.0 MB  00:00:00     
(10/64): findutils-4.5.11-5.el7.x86_64.rpm                                                    | 559 kB  00:00:00     
(11/64): chkconfig-1.7.4-1.el7.x86_64.rpm                                                     | 181 kB  00:00:00     
(12/64): gawk-4.0.2-4.el7_3.1.x86_64.rpm                                                      | 874 kB  00:00:00     
(13/64): glibc-2.17-217.el7.x86_64.rpm                                                        | 3.6 MB  00:00:00     
(14/64): gmp-6.0.0-15.el7.x86_64.rpm                                                          | 281 kB  00:00:00     
(15/64): grep-2.20-3.el7.x86_64.rpm                                                           | 344 kB  00:00:00     
(16/64): info-5.1-5.el7.x86_64.rpm                                                            | 233 kB  00:00:00     
(17/64): keyutils-libs-1.5.8-3.el7.x86_64.rpm                                                 |  25 kB  00:00:00     
(18/64): krb5-libs-1.15.1-17.el7.x86_64.rpm                                                   | 748 kB  00:00:00     
(19/64): libacl-2.2.51-14.el7.x86_64.rpm                                                      |  27 kB  00:00:00     
(20/64): libattr-2.4.46-13.el7.x86_64.rpm                                                     |  18 kB  00:00:00     
(21/64): libcap-2.22-9.el7.x86_64.rpm                                                         |  47 kB  00:00:00     
(22/64): libcom_err-1.42.9-10.el7.x86_64.rpm                                                  |  41 kB  00:00:00     
(23/64): glibc-common-2.17-217.el7.x86_64.rpm                                                 |  11 MB  00:00:00     
(24/64): libcurl-7.29.0-45.el7.x86_64.rpm                                                     | 220 kB  00:00:00     
(25/64): libdb-utils-5.3.21-22.el7.x86_64.rpm                                                 | 132 kB  00:00:00     
(26/64): libdb-5.3.21-22.el7.x86_64.rpm                                                       | 719 kB  00:00:00     
(27/64): libffi-3.0.13-18.el7.x86_64.rpm                                                      |  30 kB  00:00:00     
(28/64): libgcc-4.8.5-22.el7.x86_64.rpm                                                       |  99 kB  00:00:00     
(29/64): libidn-1.28-4.el7.x86_64.rpm                                                         | 209 kB  00:00:00     
(30/64): libselinux-2.5-12.el7.x86_64.rpm                                                     | 162 kB  00:00:00     
(31/64): libssh2-1.4.3-10.el7_2.1.x86_64.rpm                                                  | 134 kB  00:00:00     
(32/64): libsepol-2.5-8.el7.x86_64.rpm                                                        | 297 kB  00:00:00     
(33/64): libstdc++-4.8.5-22.el7.x86_64.rpm                                                    | 302 kB  00:00:00     
(34/64): libtasn1-4.10-1.el7.x86_64.rpm                                                       | 320 kB  00:00:00     
(35/64): libverto-0.2.5-4.el7.x86_64.rpm                                                      |  16 kB  00:00:00     
(36/64): lua-5.1.4-15.el7.x86_64.rpm                                                          | 201 kB  00:00:00     
(37/64): ncurses-5.9-14.20130511.el7_4.x86_64.rpm                                             | 304 kB  00:00:00     
(38/64): ncurses-base-5.9-14.20130511.el7_4.noarch.rpm                                        |  68 kB  00:00:00     
(39/64): ncurses-libs-5.9-14.20130511.el7_4.x86_64.rpm                                        | 316 kB  00:00:00     
(40/64): nspr-4.17.0-1.el7.x86_64.rpm                                                         | 126 kB  00:00:00     
(41/64): nss-pem-1.0.3-4.el7.x86_64.rpm                                                       |  73 kB  00:00:00     
(42/64): nss-3.34.0-0.1.beta1.el7.x86_64.rpm                                                  | 840 kB  00:00:00     
(43/64): nss-softokn-freebl-3.34.0-0.2.beta1.el7.x86_64.rpm                                   | 219 kB  00:00:00     
(44/64): nss-softokn-3.34.0-0.2.beta1.el7.x86_64.rpm                                          | 311 kB  00:00:00     
(45/64): nss-sysinit-3.34.0-0.1.beta1.el7.x86_64.rpm                                          |  61 kB  00:00:00     
(46/64): nss-tools-3.34.0-0.1.beta1.el7.x86_64.rpm                                            | 513 kB  00:00:00     
(47/64): nss-util-3.34.0-0.1.beta1.el7.x86_64.rpm                                             |  78 kB  00:00:00     
(48/64): openldap-2.4.44-9.el7.x86_64.rpm                                                     | 353 kB  00:00:00     
(49/64): p11-kit-0.23.5-3.el7.x86_64.rpm                                                      | 252 kB  00:00:00     
(50/64): p11-kit-trust-0.23.5-3.el7.x86_64.rpm                                                | 129 kB  00:00:00     
(51/64): openssl-libs-1.0.2k-8.el7.x86_64.rpm                                                 | 1.2 MB  00:00:00     
(52/64): pcre-8.32-17.el7.x86_64.rpm                                                          | 422 kB  00:00:00     
(53/64): popt-1.13-16.el7.x86_64.rpm                                                          |  42 kB  00:00:00     
(54/64): readline-6.2-10.el7.x86_64.rpm                                                       | 193 kB  00:00:00     
(55/64): redhat-release-7.5-0.12.el7a.x86_64.rpm                                              |  26 kB  00:00:00     
(56/64): redhat-release-client-7.5-0.12.el7a.x86_64.rpm                                       |  16 kB  00:00:00     
(57/64): rpm-libs-4.11.3-31.el7.x86_64.rpm                                                    | 276 kB  00:00:00     
(58/64): rpm-4.11.3-31.el7.x86_64.rpm                                                         | 1.2 MB  00:00:00     
(59/64): sed-4.2.2-5.el7.x86_64.rpm                                                           | 231 kB  00:00:00     
(60/64): setup-2.8.71-7.el7.noarch.rpm                                                        | 165 kB  00:00:00     
(61/64): sqlite-3.7.17-8.el7.x86_64.rpm                                                       | 394 kB  00:00:00     
(62/64): xz-libs-5.2.2-1.el7.x86_64.rpm                                                       | 103 kB  00:00:00     
(63/64): tzdata-2017c-1.el7.noarch.rpm                                                        | 468 kB  00:00:00     
(64/64): zlib-1.2.7-17.el7.x86_64.rpm                                                         |  90 kB  00:00:01     
---------------------------------------------------------------------------------------------------------------------
Total                                                                                 16 MB/s |  36 MB  00:00:02     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : libgcc-4.8.5-22.el7.x86_64                                                                       1/64 
  Installing : ncurses-base-5.9-14.20130511.el7_4.noarch                                                        2/64 
  Installing : tzdata-2017c-1.el7.noarch                                                                        3/64 
  Installing : nss-softokn-freebl-3.34.0-0.2.beta1.el7.x86_64                                                   4/64 
  Installing : bash-4.2.46-30.el7.x86_64                                                                        5/64 
  Installing : glibc-common-2.17-217.el7.x86_64                                                                 6/64 
  Installing : chkconfig-1.7.4-1.el7.x86_64                                                                     7/64 
  Installing : ncurses-5.9-14.20130511.el7_4.x86_64                                                             8/64 
  Installing : setup-2.8.71-7.el7.noarch                                                                        9/64 
  Installing : filesystem-3.2-23.el7.x86_64                                                                    10/64 
  Installing : basesystem-10.0-7.el7.noarch                                                                    11/64 
  Installing : glibc-2.17-217.el7.x86_64                                                                       12/64 
  Installing : zlib-1.2.7-17.el7.x86_64                                                                        13/64 
  Installing : nspr-4.17.0-1.el7.x86_64                                                                        14/64 
  Installing : libcom_err-1.42.9-10.el7.x86_64                                                                 15/64 
  Installing : popt-1.13-16.el7.x86_64                                                                         16/64 
  Installing : libstdc++-4.8.5-22.el7.x86_64                                                                   17/64 
  Installing : ncurses-libs-5.9-14.20130511.el7_4.x86_64                                                       18/64 
  Installing : info-5.1-5.el7.x86_64                                                                           19/64 
  Installing : libattr-2.4.46-13.el7.x86_64                                                                    20/64 
  Installing : libcap-2.22-9.el7.x86_64                                                                        21/64 
  Installing : libacl-2.2.51-14.el7.x86_64                                                                     22/64 
  Installing : pcre-8.32-17.el7.x86_64                                                                         23/64 
  Installing : grep-2.20-3.el7.x86_64                                                                          24/64 
  Installing : libffi-3.0.13-18.el7.x86_64                                                                     25/64 
  Installing : p11-kit-0.23.5-3.el7.x86_64                                                                     26/64 
  Installing : libsepol-2.5-8.el7.x86_64                                                                       27/64 
  Installing : libselinux-2.5-12.el7.x86_64                                                                    28/64 
  Installing : sed-4.2.2-5.el7.x86_64                                                                          29/64 
  Installing : gawk-4.0.2-4.el7_3.1.x86_64                                                                     30/64 
  Installing : 1:gmp-6.0.0-15.el7.x86_64                                                                       31/64 
  Installing : keyutils-libs-1.5.8-3.el7.x86_64                                                                32/64 
  Installing : libverto-0.2.5-4.el7.x86_64                                                                     33/64 
  Installing : libtasn1-4.10-1.el7.x86_64                                                                      34/64 
  Installing : p11-kit-trust-0.23.5-3.el7.x86_64                                                               35/64 
  Installing : ca-certificates-2017.2.18-71.el7.noarch                                                         36/64 
  Installing : redhat-release-7.5-0.12.el7a.x86_64                                                             37/64 
  Installing : redhat-release-client-7.5-0.12.el7a.x86_64                                                      38/64 
/var/tmp/rpm-tmp.ogW2x7: line 17: readlink: command not found
/var/tmp/rpm-tmp.ogW2x7: line 22: readlink: command not found
/var/tmp/rpm-tmp.ogW2x7: line 27: readlink: command not found
  Installing : coreutils-8.22-19.el7.x86_64                                                                    39/64 
  Installing : 1:openssl-libs-1.0.2k-8.el7.x86_64                                                              40/64 
  Installing : krb5-libs-1.15.1-17.el7.x86_64                                                                  41/64 
  Installing : nss-util-3.34.0-0.1.beta1.el7.x86_64                                                            42/64 
  Installing : libdb-5.3.21-22.el7.x86_64                                                                      43/64 
  Installing : readline-6.2-10.el7.x86_64                                                                      44/64 
  Installing : lua-5.1.4-15.el7.x86_64                                                                         45/64 
  Installing : elfutils-libelf-0.170-2.el7.x86_64                                                              46/64 
  Installing : bzip2-libs-1.0.6-13.el7.x86_64                                                                  47/64 
  Installing : xz-libs-5.2.2-1.el7.x86_64                                                                      48/64 
  Installing : sqlite-3.7.17-8.el7.x86_64                                                                      49/64 
  Installing : nss-softokn-3.34.0-0.2.beta1.el7.x86_64                                                         50/64 
  Installing : nss-pem-1.0.3-4.el7.x86_64                                                                      51/64 
  Installing : nss-sysinit-3.34.0-0.1.beta1.el7.x86_64                                                         52/64 
  Installing : nss-3.34.0-0.1.beta1.el7.x86_64                                                                 53/64 
  Installing : nss-tools-3.34.0-0.1.beta1.el7.x86_64                                                           54/64 
  Installing : cyrus-sasl-lib-2.1.26-22.el7.x86_64                                                             55/64 
  Installing : libdb-utils-5.3.21-22.el7.x86_64                                                                56/64 
  Installing : libssh2-1.4.3-10.el7_2.1.x86_64                                                                 57/64 
  Installing : 1:findutils-4.5.11-5.el7.x86_64                                                                 58/64 
  Installing : libidn-1.28-4.el7.x86_64                                                                        59/64 
  Installing : libcurl-7.29.0-45.el7.x86_64                                                                    60/64 
  Installing : curl-7.29.0-45.el7.x86_64                                                                       61/64 
  Installing : rpm-libs-4.11.3-31.el7.x86_64                                                                   62/64 
  Installing : rpm-4.11.3-31.el7.x86_64                                                                        63/64 
  Installing : openldap-2.4.44-9.el7.x86_64                                                                    64/64 
rhel-HighAvailability/productid                                                               | 1.6 kB  00:00:00     
rhel-RT/productid                                                                             | 1.6 kB  00:00:00     
rhel-ResilientStorage/productid                                                               | 1.6 kB  00:00:00     
rhel-SAP/productid                                                                            | 1.6 kB  00:00:00     
rhel-SAPHANA/productid                                                                        | 1.6 kB  00:00:00     
  Verifying  : openldap-2.4.44-9.el7.x86_64                                                                     1/64 
  Verifying  : filesystem-3.2-23.el7.x86_64                                                                     2/64 
  Verifying  : cyrus-sasl-lib-2.1.26-22.el7.x86_64                                                              3/64 
  Verifying  : libffi-3.0.13-18.el7.x86_64                                                                      4/64 
  Verifying  : pcre-8.32-17.el7.x86_64                                                                          5/64 
  Verifying  : popt-1.13-16.el7.x86_64                                                                          6/64 
  Verifying  : nss-pem-1.0.3-4.el7.x86_64                                                                       7/64 
  Verifying  : libgcc-4.8.5-22.el7.x86_64                                                                       8/64 
  Verifying  : libdb-utils-5.3.21-22.el7.x86_64                                                                 9/64 
  Verifying  : ncurses-libs-5.9-14.20130511.el7_4.x86_64                                                       10/64 
  Verifying  : rpm-libs-4.11.3-31.el7.x86_64                                                                   11/64 
  Verifying  : ca-certificates-2017.2.18-71.el7.noarch                                                         12/64 
  Verifying  : keyutils-libs-1.5.8-3.el7.x86_64                                                                13/64 
  Verifying  : nss-softokn-3.34.0-0.2.beta1.el7.x86_64                                                         14/64 
  Verifying  : libstdc++-4.8.5-22.el7.x86_64                                                                   15/64 
  Verifying  : libattr-2.4.46-13.el7.x86_64                                                                    16/64 
  Verifying  : libidn-1.28-4.el7.x86_64                                                                        17/64 
  Verifying  : gawk-4.0.2-4.el7_3.1.x86_64                                                                     18/64 
  Verifying  : glibc-common-2.17-217.el7.x86_64                                                                19/64 
  Verifying  : redhat-release-7.5-0.12.el7a.x86_64                                                             20/64 
  Verifying  : coreutils-8.22-19.el7.x86_64                                                                    21/64 
  Verifying  : setup-2.8.71-7.el7.noarch                                                                       22/64 
  Verifying  : libverto-0.2.5-4.el7.x86_64                                                                     23/64 
  Verifying  : 1:openssl-libs-1.0.2k-8.el7.x86_64                                                              24/64 
  Verifying  : p11-kit-trust-0.23.5-3.el7.x86_64                                                               25/64 
  Verifying  : zlib-1.2.7-17.el7.x86_64                                                                        26/64 
  Verifying  : glibc-2.17-217.el7.x86_64                                                                       27/64 
  Verifying  : libssh2-1.4.3-10.el7_2.1.x86_64                                                                 28/64 
  Verifying  : grep-2.20-3.el7.x86_64                                                                          29/64 
  Verifying  : info-5.1-5.el7.x86_64                                                                           30/64 
  Verifying  : nss-softokn-freebl-3.34.0-0.2.beta1.el7.x86_64                                                  31/64 
  Verifying  : nspr-4.17.0-1.el7.x86_64                                                                        32/64 
  Verifying  : p11-kit-0.23.5-3.el7.x86_64                                                                     33/64 
  Verifying  : libsepol-2.5-8.el7.x86_64                                                                       34/64 
  Verifying  : elfutils-libelf-0.170-2.el7.x86_64                                                              35/64 
  Verifying  : bzip2-libs-1.0.6-13.el7.x86_64                                                                  36/64 
  Verifying  : libcap-2.22-9.el7.x86_64                                                                        37/64 
  Verifying  : redhat-release-client-7.5-0.12.el7a.x86_64                                                      38/64 
  Verifying  : libcom_err-1.42.9-10.el7.x86_64                                                                 39/64 
  Verifying  : libacl-2.2.51-14.el7.x86_64                                                                     40/64 
  Verifying  : bash-4.2.46-30.el7.x86_64                                                                       41/64 
  Verifying  : nss-tools-3.34.0-0.1.beta1.el7.x86_64                                                           42/64 
  Verifying  : curl-7.29.0-45.el7.x86_64                                                                       43/64 
  Verifying  : nss-util-3.34.0-0.1.beta1.el7.x86_64                                                            44/64 
  Verifying  : libdb-5.3.21-22.el7.x86_64                                                                      45/64 
  Verifying  : lua-5.1.4-15.el7.x86_64                                                                         46/64 
  Verifying  : xz-libs-5.2.2-1.el7.x86_64                                                                      47/64 
  Verifying  : nss-3.34.0-0.1.beta1.el7.x86_64                                                                 48/64 
  Verifying  : nss-sysinit-3.34.0-0.1.beta1.el7.x86_64                                                         49/64 
  Verifying  : 1:gmp-6.0.0-15.el7.x86_64                                                                       50/64 
  Verifying  : libcurl-7.29.0-45.el7.x86_64                                                                    51/64 
  Verifying  : sed-4.2.2-5.el7.x86_64                                                                          52/64 
  Verifying  : 1:findutils-4.5.11-5.el7.x86_64                                                                 53/64 
  Verifying  : libselinux-2.5-12.el7.x86_64                                                                    54/64 
  Verifying  : tzdata-2017c-1.el7.noarch                                                                       55/64 
  Verifying  : libtasn1-4.10-1.el7.x86_64                                                                      56/64 
  Verifying  : readline-6.2-10.el7.x86_64                                                                      57/64 
  Verifying  : chkconfig-1.7.4-1.el7.x86_64                                                                    58/64 
  Verifying  : ncurses-5.9-14.20130511.el7_4.x86_64                                                            59/64 
  Verifying  : rpm-4.11.3-31.el7.x86_64                                                                        60/64 
  Verifying  : krb5-libs-1.15.1-17.el7.x86_64                                                                  61/64 
  Verifying  : basesystem-10.0-7.el7.noarch                                                                    62/64 
  Verifying  : ncurses-base-5.9-14.20130511.el7_4.noarch                                                       63/64 
  Verifying  : sqlite-3.7.17-8.el7.x86_64                                                                      64/64 

Installed:
  elfutils-libelf.x86_64 0:0.170-2.el7       krb5-libs.x86_64 0:1.15.1-17.el7       rpm.x86_64 0:4.11.3-31.el7      

Dependency Installed:
  basesystem.noarch 0:10.0-7.el7                         bash.x86_64 0:4.2.46-30.el7                                
  bzip2-libs.x86_64 0:1.0.6-13.el7                       ca-certificates.noarch 0:2017.2.18-71.el7                  
  chkconfig.x86_64 0:1.7.4-1.el7                         coreutils.x86_64 0:8.22-19.el7                             
  curl.x86_64 0:7.29.0-45.el7                            cyrus-sasl-lib.x86_64 0:2.1.26-22.el7                      
  filesystem.x86_64 0:3.2-23.el7                         findutils.x86_64 1:4.5.11-5.el7                            
  gawk.x86_64 0:4.0.2-4.el7_3.1                          glibc.x86_64 0:2.17-217.el7                                
  glibc-common.x86_64 0:2.17-217.el7                     gmp.x86_64 1:6.0.0-15.el7                                  
  grep.x86_64 0:2.20-3.el7                               info.x86_64 0:5.1-5.el7                                    
  keyutils-libs.x86_64 0:1.5.8-3.el7                     libacl.x86_64 0:2.2.51-14.el7                              
  libattr.x86_64 0:2.4.46-13.el7                         libcap.x86_64 0:2.22-9.el7                                 
  libcom_err.x86_64 0:1.42.9-10.el7                      libcurl.x86_64 0:7.29.0-45.el7                             
  libdb.x86_64 0:5.3.21-22.el7                           libdb-utils.x86_64 0:5.3.21-22.el7                         
  libffi.x86_64 0:3.0.13-18.el7                          libgcc.x86_64 0:4.8.5-22.el7                               
  libidn.x86_64 0:1.28-4.el7                             libselinux.x86_64 0:2.5-12.el7                             
  libsepol.x86_64 0:2.5-8.el7                            libssh2.x86_64 0:1.4.3-10.el7_2.1                          
  libstdc++.x86_64 0:4.8.5-22.el7                        libtasn1.x86_64 0:4.10-1.el7                               
  libverto.x86_64 0:0.2.5-4.el7                          lua.x86_64 0:5.1.4-15.el7                                  
  ncurses.x86_64 0:5.9-14.20130511.el7_4                 ncurses-base.noarch 0:5.9-14.20130511.el7_4                
  ncurses-libs.x86_64 0:5.9-14.20130511.el7_4            nspr.x86_64 0:4.17.0-1.el7                                 
  nss.x86_64 0:3.34.0-0.1.beta1.el7                      nss-pem.x86_64 0:1.0.3-4.el7                               
  nss-softokn.x86_64 0:3.34.0-0.2.beta1.el7              nss-softokn-freebl.x86_64 0:3.34.0-0.2.beta1.el7           
  nss-sysinit.x86_64 0:3.34.0-0.1.beta1.el7              nss-tools.x86_64 0:3.34.0-0.1.beta1.el7                    
  nss-util.x86_64 0:3.34.0-0.1.beta1.el7                 openldap.x86_64 0:2.4.44-9.el7                             
  openssl-libs.x86_64 1:1.0.2k-8.el7                     p11-kit.x86_64 0:0.23.5-3.el7                              
  p11-kit-trust.x86_64 0:0.23.5-3.el7                    pcre.x86_64 0:8.32-17.el7                                  
  popt.x86_64 0:1.13-16.el7                              readline.x86_64 0:6.2-10.el7                               
  redhat-release.x86_64 0:7.5-0.12.el7a                  redhat-release-client.x86_64 0:7.5-0.12.el7a               
  rpm-libs.x86_64 0:4.11.3-31.el7                        sed.x86_64 0:4.2.2-5.el7                                   
  setup.noarch 0:2.8.71-7.el7                            sqlite.x86_64 0:3.7.17-8.el7                               
  tzdata.noarch 0:2017c-1.el7                            xz-libs.x86_64 0:5.2.2-1.el7                               
  zlib.x86_64 0:1.2.7-17.el7                            

Complete!

#
#
#
# chroot /tmp/newroot/ rpm -q rpm
error: Failed to initialize NSS library

Comment 2 Kai Engert (:kaie) (inactive account) 2017-11-29 16:23:04 UTC
Just a very general comment upfront, it's better to provide very long lists with information as text information. Pasting as long comments can make bugs difficult to read.

Comment 3 Kai Engert (:kaie) (inactive account) 2017-11-29 16:23:36 UTC
... better to provide ... as "attachments"

Comment 4 Kai Engert (:kaie) (inactive account) 2017-11-29 16:26:27 UTC
Daiki, Hubert, this bug report claims that bug 1477308 isn't yet fixed, despite using nss-softokn-3.34.0-0.2.beta1.el7

Any thoughts?

Comment 5 Daiki Ueno 2017-11-29 16:50:28 UTC
I have run the test with 1minutetip.  It appears to be a problem in the test case itself, which doesn't create /dev/urandom within the chroot (see bug 1420523).

After I run:

$ chroot /tmp/tmp.XpO0BYDYXm/test mknod /dev/urandom c 1 9

rpm -q works properly:

$ chroot /tmp/tmp.XpO0BYDYXm/test rpm -q
rpm: no arguments given for query

Comment 6 Patrik Kis 2017-11-30 11:18:25 UTC
(In reply to Daiki Ueno from comment #5)
> I have run the test with 1minutetip.  It appears to be a problem in the test
> case itself, which doesn't create /dev/urandom within the chroot (see bug
> 1420523).
> 
> After I run:
> 
> $ chroot /tmp/tmp.XpO0BYDYXm/test mknod /dev/urandom c 1 9
> 
> rpm -q works properly:
> 
> $ chroot /tmp/tmp.XpO0BYDYXm/test rpm -q
> rpm: no arguments given for query

I can confirm that this fixes the problem, but /dev/urandom was not required in RHEL-7.4. Is this change intentional and needed?

Comment 7 Kai Engert (:kaie) (inactive account) 2017-11-30 11:56:54 UTC
(In reply to Patrik Kis from comment #6)
> 
> /dev/urandom was not required
> in RHEL-7.4. Is this change intentional and needed?

Yes.

Intentional:
  https://bugzilla.mozilla.org/show_bug.cgi?id=889116

Previously it would fall back on something else, but every modern system should have /dev/urandom, and falling back was less secure.

Since RHEL 7 has /dev/urandom, requiring it in test environments should be appropriate.

Comment 8 Patrik Kis 2017-11-30 12:15:08 UTC
Thank you for the clarification. I'll fix the test.

Comment 9 Kai Engert (:kaie) (inactive account) 2017-11-30 14:23:14 UTC
closing, because it isn't a bug in nss-softokn


Note You need to log in before you can comment on or make changes to this bug.